QGIS Application - Bug report #20022
Polygon style: Simple line with offset
2018-10-05 09:03 AM - Amanda Zwicky

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.2.2 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27844
Description

When using the 'Layer Properties - Symbology - Fill - Simple line' with a offset value (positive or negative), the line is sometimes not drawn
in the map window. It seems to depend on the shape of the polygon, the zoom level and the current map extend. When | zomm or pan in
the map, the lines suddenly disapears or appears. The error can be reproduced using the same data, map extend and zoom level. When
using the same data, map extend and zoom level in the map composer, the line is missing as well. The problem does not always appear
on the same zoom level or map extend. It behaves different when using an other data set. | have observed the problem in QGIS Version
2.18and 3.2.2.

History

#1 - 2018-11-06 01:10 AM - Nyall Dawson
- Status changed from Open to Feedback

Can you share a sample project/data which demonstrates this issue?

#2 - 2018-12-13 08:13 AM - Amanda Zwicky
- File Data_example.zip added

Here | have some sample data. Some polygons and a layer style file. In the meantime | found out, that a polygon is not drawn in the map if the outlines gets

close together.

#3 - 2019-02-24 01:16 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2019-02-24 01:16 AM - Giovanni Manghi
- Subject changed from Polygon stye: Simple line with offset to Polygon style: Simple line with offset

Files

error_view_style_offset1.PNG 1.06 MB 2018-10-05 Amanda Zwicky
error_view_style_offset2.PNG 1.54 MB 2018-10-05 Amanda Zwicky
Data_example.zip 59.8 KB 2018-12-13 Amanda Zwicky
